Bug 568229 - [ml_IN] License tag doesn't matches the actual license.
Summary: [ml_IN] License tag doesn't matches the actual license.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smc-fonts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 568230
TreeView+ depends on / blocked
 
Reported: 2010-02-25 04:30 UTC by Akira TAGOH
Modified: 2010-03-18 03:26 UTC (History)
4 users (show)

Fixed In Version: smc-fonts-04.2-6.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 568230 (view as bug list)
Environment:
Last Closed: 2010-03-18 03:26:29 UTC
Type: ---


Attachments (Terms of Use)

Description Akira TAGOH 2010-02-25 04:30:40 UTC
Description of problem:
the spec file says smc-suruma-fonts is licensed under GPLv3+ with exceptions, but COPYING.txt in the archive doesn't mention about any '+'.
also smc-anjalioldlipi-fonts is licensed under GPLv3+ with exceptions, but COPYING.txt says:
you are free do do anything (free as in free-speech). for more info contact: blahblahblah


Version-Release number of selected component (if applicable):
smc-fonts-04.2-5.fc13

Comment 1 Pravin Satpute 2010-02-25 07:00:48 UTC
I am fixing suruma license

about AnjaliOldLipi

I had some communication with upstream Kevin
and he says its GNU GPL, http://kevinsiji.wordpress.com/gnu-gpl/

so bit confusing right now, so for the time being i will remove this subpackage from smc-fonts, 
once license will be clear, we will add it again.

Comment 2 Nicolas Mailhot 2010-02-25 09:22:34 UTC
When the legal documentation bundled with a font says X, and upstream has confirmed by mail he wanted Y, you can add upstream's mail statement as %doc in the package (upstream should still fix its release, but that will give you more time)

For a practical examplesee the sniglet review request (a spot package, so he should know how to make legal stuff work)

Comment 3 Pravin Satpute 2010-02-25 10:19:43 UTC
thats look good
i will do that

Comment 4 Fedora Update System 2010-02-25 15:03:00 UTC
smc-fonts-04.2-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/smc-fonts-04.2-6.fc13

Comment 5 Pravin Satpute 2010-02-25 15:04:26 UTC
thanks nicholas for tip :)

Comment 6 Fedora Update System 2010-02-26 11:48:33 UTC
smc-fonts-04.2-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smc-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2977

Comment 7 Fedora Update System 2010-03-18 03:26:22 UTC
smc-fonts-04.2-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.